<p align="center">
  <a href="https://v2.nonebot.dev/"><img src="https://v2.nonebot.dev/logo.png" width="200" height="200" alt="nonebot"></a>
</p>

<div align="center">

# nonebot-plugin-apex-api-query

*✨ NoneBot Apex Legends API 查询插件 ✨*

![GitHub](https://img.shields.io/github/license/H-xiaoH/nonebot-plugin-apex-api-query)
![PyPI](https://img.shields.io/pypi/v/nonebot-plugin-apex-api-query)

</div>

## 使用方法
在您的 NoneBot 配置文件中写入 `apex_api_key` 值。
例如: `apex_api_key=YOUR_API_KEY`

您可以点击 [此处](https://portal.apexlegendsapi.com/) 申请 API 密钥。

在与 Bot 私聊 或 已加入的群聊 中发送命令。

### 查询玩家信息
`/bridge [玩家名称]` 、
`/玩家 [玩家名称]`、
`/uid [玩家UID]`、
`/UID [玩家UID]`

暂不支持除 PC 外的平台查询。

输出示例：
```text
玩家信息:
名称: HxiaoH
UID: 1002727553409
平台: PC
等级: 256
距下一级百分比: 86%
封禁状态: 否
剩余秒数: 0
最后封禁原因: 竞技逃跑冷却
大逃杀分数: 10418
大逃杀段位: 白金 2
竞技场分数: 2317
竞技场段位: 白银 3
大厅状态: 打开
在线: 是
游戏中: 是
可加入: 是
群满员: 否
已选传奇: 寻血猎犬
当前状态: 比赛中
```

### 查询大逃杀地图轮换
`/maprotation` 、 `/地图`

输出示例：
```text
大逃杀:
当前地图: 世界尽头
下个地图: 破碎月亮
剩余时间: 00:43:15

竞技场:
当前地图: 相位穿梭器
下个地图: 栖息地 4
剩余时间: 00:13:15

排位赛联盟:
当前地图: 破碎月亮
下个地图: 奥林匹斯
剩余时间: 599:43:15

排位竞技场:
当前地图: 相位穿梭器
下个地图: 栖息地 4
剩余时间: 00:13:15
```

### 查询猎杀者信息
`/predator` 、 `/猎杀`

输出示例：
```text
大逃杀:
PC 端:
顶尖猎杀者人数: 750
顶尖猎杀者分数: 34176
顶尖猎杀者UID: 1008992986436
大师和顶尖猎杀者人数: 20995
PS4/5 端:
顶尖猎杀者人数: 752
顶尖猎杀者分数: 25039
顶尖猎杀者UID: 6655163505495496802
大师和顶尖猎杀者人数: 7382
Xbox 端:
顶尖猎杀者人数: 750
顶尖猎杀者分数: 20262
顶尖猎杀者UID: 2535442891191517
大师和顶尖猎杀者人数: 2947
Switch 端:
顶尖猎杀者人数: -1
顶尖猎杀者分数: 15000
顶尖猎杀者UID: -1
大师和顶尖猎杀者人数: 671

竞技场:
PC 端:
顶尖猎杀者人数: 750
顶尖猎杀者分数: 9735
顶尖猎杀者UID: 1010770350454
大师和顶尖猎杀者人数: 2919
PS4/5 端:
顶尖猎杀者人数: 749
顶尖猎杀者分数: 10279
顶尖猎杀者UID: 5266195274595015901
大师和顶尖猎杀者人数: 5226
Xbox 端:
顶尖猎杀者人数: 751
顶尖猎杀者分数: 8578
顶尖猎杀者UID: 2535421772058188
大师和顶尖猎杀者人数: 1821
Switch 端:
顶尖猎杀者人数: -1
顶尖猎杀者分数: 8000
顶尖猎杀者UID: -1
大师和顶尖猎杀者人数: 291
```

### 查询复制器轮换
`/crafting` 、 `/制造`

输出示例：
```text
每日制造:
4 倍至 8 倍可调节式狙击手 等级3 35 点
加长狙击弹匣 等级3 35 点

每周制造:
击倒护盾 等级3 30 点
移动重生信标 等级2 50 点

赛季制造:
和平捍卫者 等级1 30 点
喷火轻机枪 等级1 30 点
```

### 订阅制造/地图轮换
`/subcraft`、`/订阅制造`
`/submap`、`/订阅地图`
`/unsubcraft`、`/取消订阅制造`
`/unsubmap`、`/取消地图制造`

每日 2 时自动查询制造轮换
每时自动查询地图轮换
